﻿<%@ Page Language="C#" MasterPageFile="~/MPSM.master" AutoEventWireup="true" CodeFile="ManagePhotos.aspx.cs"
    Inherits="MPS.UI.Admin_Photos" Title="Mange Photos" %>

<%@ Register TagPrefix="HS" Namespace="Encosia" Assembly="HighslideImage" %>
<asp:Content ID="Content1" ContentPlaceHolderID="Main" runat="Server">
    <div class="item-header">
        <h2 class="title">
            <asp:HyperLink ID="lblHeading" Text="Manage Photos" NavigateUrl="#" runat="server" />
        </h2>
        <div class="categories">
            <b>
                <asp:Literal runat="server" ID="lblHead" Text="Photos in album {0} [ {1} photos ]." /></b>
        </div>
        <br />
    </div>
    <div id="commentViewEntry" class="commentViewBoxStyle">
        <table cellpadding="0" cellspacing="0" width="100%">
            <tr>
                <td>
                    <HS:HighslideManager ID="mngr" runat="server">
                    </HS:HighslideManager>
                    <asp:Label ID="lblAdd" runat="server" Text="Add new image (Single file or ZIP archive)"
                        Font-Size="Medium" /><br />
                    <asp:FileUpload ID="fileUpload" runat="server" Height="22px" />
                    <asp:Button ID="btnUpload" runat="server" Text="Add" Height="22px" OnClick="btnUpload_Click" /><br />
                    <asp:Literal ID="lblCaption" runat="server" Text="Image Caption (Ignored for zip archive)" /><br />
                    <asp:TextBox ID="txtCaption" runat="server"></asp:TextBox>
                    <br />
                    <b>
                        <asp:Literal ID="lblMsg" runat="server" Visible="false" Text="Added {0} files </br> {1} bad files" /></b>
                    <br />
                    <br />
                    <asp:DataList ID="dlstPhotos" runat="Server" ShowFooter="False" RepeatColumns="4"
                        RepeatDirection="Horizontal" EnableViewState="False" DataSourceID="objPhotos"
                        OnItemCommand="dlstPhotos_ItemCommand">
                        <ItemTemplate>
                            <table border="0" cellpadding="0" cellspacing="0">
                                <tr>
                                </tr>
                                <tr>
                                    <td class="photo_198">
                                        <HS:HighslideImage ImageUrl='<%# "~/Handler.ashx?PhotoID="+ Eval("Id") + "&Size=S" %>'
                                            FullImageURL='<%# "../" + MPS.Globals.Settings.PhotoGallery.AlbumsFolder.ToString() + Eval("Location") %>'
                                            ID="img1" runat="server" Caption='<%# Eval("PhotoCaption") %>' /><br />
                                    </td>
                                </tr>
                                <tr>
                                    <td align="center">
                                        <asp:HyperLink runat="server" ID="lnkEdit" ToolTip="Edit Photo" NavigateUrl='<%# "~/Admin/EditPhoto.aspx?ID=" + Eval("ID") %>'
                                            ImageUrl="~/Images/Edit.gif" />
                                        &nbsp;
                                        <asp:ImageButton runat="server" ID="btnDelete" CommandName="Delete" CommandArgument='<%# Eval("ID") %>'
                                            CausesValidation="false" AlternateText="Delete photo" ImageUrl="~/Images/Delete.gif"
                                            OnClientClick="if (confirm('Are you sure you want to delete this photo?') == false) return false;" />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3" align="center" style="word-wrap: normal;">
                                        <br />
                                    </td>
                                </tr>
                            </table>
                        </ItemTemplate>
                        <ItemStyle VerticalAlign="top" Width="150px" />
                        <SeparatorTemplate>
                            &nbsp;</SeparatorTemplate>
                        <FooterTemplate>
                        </FooterTemplate>
                    </asp:DataList>
                </td>
            </tr>
        </table>
    </div>
    <asp:ObjectDataSource ID="objPhotos" runat="server" SelectMethod="GetPhotos" TypeName="MPS.BLL.PhotoGallery.Photo">
        <SelectParameters>
            <asp:QueryStringParameter Name="albumID" QueryStringField="AlbumID" Type="Int32"
                DefaultValue="0" />
        </SelectParameters>
    </asp:ObjectDataSource>
</asp:Content>
