﻿<%@ Page Language="C#" MasterPageFile="~/MPSM.master" AutoEventWireup="true" CodeFile="ShowBlog.aspx.cs"
    Inherits="MPS.UI.ShowBlog" MaintainScrollPositionOnPostback="true" ValidateRequest="false" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Main" runat="Server">
    <div>
        <div class="item-header">
            <h2 class="title">
                <asp:HyperLink runat="server" ID="lnkTitle" CssClass="TitleLinkStyle" />
            </h2>
            <asp:Label runat="server" ID="lblNotApproved" Text="Not approved" SkinID="NotApproved" />
            <div class="categories">
                Posted in
                <asp:HyperLink runat="server" ID="lblCategory" CssClass="categoryLinkStyle" />
                <br />
                <asp:Label ForeColor="#2255AA" Font-Bold="true" runat="server" ID="lblViews" Text="This post has been read {0} times" />
            </div>
        </div>
        <asp:Panel runat="server" ID="panEditBlog">
            <asp:ImageButton runat="server" ID="btnApprove" CausesValidation="false" AlternateText="Approve blog"
                ImageUrl="~/Images/OK.gif" OnClientClick="if (confirm('Are you sure you want to approve this blog?') == false) return false;"
                OnClick="btnApprove_Click" />
            &nbsp;
            <asp:HyperLink runat="server" ID="lnkEditBlog" ImageUrl="~/Images/Edit.gif" ToolTip="Edit blog"
                NavigateUrl="~/Admin/AddEditBlog.aspx?ID={0}" />
            &nbsp;
            <asp:ImageButton runat="server" ID="btnDelete" CausesValidation="false" AlternateText="Delete blog"
                ImageUrl="~/Images/Delete.gif" OnClientClick="if (confirm('Are you sure you want to delete this blog?') == false) return false;"
                OnClick="btnDelete_Click" />
        </asp:Panel>
        <div class="item-content">
            <p>
                <asp:Literal ID="lblBody" runat="server" />
            </p>
        </div>
        <br />
        <div class="item-footer">
            <div class="content">
                <ul>
                    <li class="single-line">Posted by
                        <asp:Literal runat="server" ID="lblAddedBy" />
                        on
                        <asp:Literal runat="server" ID="lblReleaseDate" />. </li>
                    <li class="first"><b>
                        <asp:Label CssClass="commentLinkStyle" runat="server" ID="lblComments" Text="{0} comments on this post" /></b>
                    </li>
                    <li>
                        <asp:HyperLink CssClass="permalink" ID="perma" runat="server" Text="Permalink" />
                    </li>
                </ul>
            </div>
        </div>
        <asp:Panel runat="server" ID="panComments">
            <br />
            <asp:DataList ID="dlstComments" runat="server" DataSourceID="objComments" DataKeyField="ID"
                OnSelectedIndexChanged="dlstComments_SelectedIndexChanged" OnItemCommand="dlstComments_ItemCommand">
                <ItemTemplate>
                    <table>
                        <tr>
                            <td style="width: 100%">
                                <div class="commentBoxStyle" id="div1" runat="server">
                                    <table>
                                        <tr>
                                            <td>
                                                <div class="commentDateStyle">
                                                    Comment posted on
                                                    <asp:Literal ID="lblAddedDate" runat="server" Text='<%# Eval("AddedDate", "{0:f}") %>' />
                                                </div>
                                                <div class="commentBodyStyle">
                                                    <asp:Literal ID="lblBody" runat="server" Text='<%# Eval("EncodedBody") %>' /></div>
                                                <div class="commentBoxFooterStyle">
                                                    <asp:HyperLink ID="lnkSite" runat="server" CssClass="commentPermalinkStyle" Text='<%# Eval("AddedBy") %>'
                                                        NavigateUrl='<%# Eval("AddedByHomePage") %>' />
                                                </div>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                            <td>
                                <asp:Panel runat="server" ID="panAdmin" Visible='<%# UserCanEdit %>'>
                                    <table>
                                        <tr>
                                            <td>
                                                <asp:ImageButton runat="server" ID="btnSelect" CommandName="Select" CausesValidation="false"
                                                    AlternateText="Edit comment" ImageUrl="~/Images/Edit.gif" />
                                            </td>
                                            <td>
                                                <asp:ImageButton runat="server" ID="btnDelete" CommandName="Delete" CommandArgument='<%# Eval("ID") %>'
                                                    CausesValidation="false" AlternateText="Delete comment" ImageUrl="~/Images/Delete.gif"
                                                    OnClientClick="if (confirm('Are you sure you want to delete this comment?') == false) return false;" />
                                            </td>
                                        </tr>
                                    </table>
                                </asp:Panel>
                            </td>
                        </tr>
                    </table>
                </ItemTemplate>
            </asp:DataList>
            <asp:ObjectDataSource ID="objComments" runat="server" SelectMethod="GetComments"
                TypeName="MPS.BLL.Blogs.Comment"></asp:ObjectDataSource>
            <div id="commentViewEntry" class="commentViewBoxStyle">
                <asp:DetailsView ID="dvwComment" runat="server" BorderWidth="0px" GridLines="None"
                    CommandRowStyle-HorizontalAlign="Center" AutoGenerateInsertButton="True" AutoGenerateEditButton="True"
                    AutoGenerateRows="False" DataSourceID="objCurrComment" DefaultMode="Insert" OnItemInserted="dvwComment_ItemInserted"
                    OnItemCommand="dvwComment_ItemCommand" DataKeyNames="ID" OnItemUpdated="dvwComment_ItemUpdated"
                    OnItemCreated="dvwComment_ItemCreated" Width="71px" OnItemInserting="dvwComment_ItemInserting">
                    <CommandRowStyle HorizontalAlign="Center" />
                    <FieldHeaderStyle Width="80px" BorderWidth="0px" />
                    <Fields>
                        <asp:BoundField DataField="ID" HeaderText="ID:" ReadOnly="True" InsertVisible="False" />
                        <asp:BoundField DataField="AddedDate" HeaderText="AddedDate:" InsertVisible="False"
                            ReadOnly="True" />
                        <asp:BoundField DataField="AddedByIP" HeaderText="UserIP:" ReadOnly="True" InsertVisible="False" />
                        <asp:TemplateField HeaderText="Name:">
                            <ItemTemplate>
                                <asp:Label ID="lblAddedBy" runat="server" Text='<%# Eval("AddedBy") %>' />
                            </ItemTemplate>
                            <InsertItemTemplate>
                                <asp:TextBox ID="txtAddedBy" runat="server" Text='<%# Bind("AddedBy") %>' MaxLength="256"
                                    Width="200px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="valRequireAddedBy" runat="server" ControlToValidate="txtAddedBy"
                                    SetFocusOnError="true" Text="Your name is required." ToolTip="Your name is required."
                                    Display="Dynamic"></asp:RequiredFieldValidator>
                            </InsertItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="E-mail:">
                            <ItemTemplate>
                                <asp:HyperLink ID="lnkAddedByEmail" runat="server" Text='<%# Eval("AddedByEmail") %>'
                                    NavigateUrl='<%# "mailto:" + Eval("AddedByEmail") %>' />
                            </ItemTemplate>
                            <InsertItemTemplate>
                                <asp:TextBox ID="txtAddedByEmail" runat="server" Text='<%# Bind("AddedByEmail") %>'
                                    MaxLength="256" Width="200px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="valRequireAddedByEmail" runat="server" ControlToValidate="txtAddedByEmail"
                                    SetFocusOnError="true" Text="Your e-mail is required." ToolTip="Your e-name is required."
                                    Display="Dynamic"></asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator runat="server" ID="valEmailPattern" Display="Dynamic"
                                    SetFocusOnError="true" ControlToValidate="txtAddedByEmail" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"
                                    Text="The e-mail is not well-formed." ToolTip="The e-mail is not well-formed." />
                            </InsertItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Website:">
                            <ItemTemplate>
                                <asp:HyperLink ID="lnkAddedByHomePage" runat="server" Text='<%# Eval("AddedByHomePage") %>'
                                    NavigateUrl='<%# Eval("AddedByHomePage") %>' />
                            </ItemTemplate>
                            <InsertItemTemplate>
                                <asp:TextBox ID="txtAddedByHomePage" runat="server" Text='<%# Bind("AddedByHomePage") %>'
                                    MaxLength="256" Width="200px"></asp:TextBox>
                                <asp:RegularExpressionValidator runat="server" ID="valWebPattern" Display="Dynamic"
                                    SetFocusOnError="true" ControlToValidate="txtAddedByHomePage" ValidationExpression="http(s)?://([\w-]+\.)+[\w-]+(/[\w- ./?%&=]*)?"
                                    Text="The website address is not well-formed." ToolTip="The website address is not well-formed." />
                            </InsertItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Comment:">
                            <ItemTemplate>
                                <asp:Label ID="lblBody" runat="server" Text='<%# Eval("commentText") %>' />
                            </ItemTemplate>
                            <EditItemTemplate>
                                <asp:TextBox ID="txtBody" runat="server" CssClass="commentViewControlStyle" Text='<%# Bind("commentText") %>'
                                    TextMode="MultiLine" Rows="5" Width="400px"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="valRequireBody" runat="server" ControlToValidate="txtBody"
                                    SetFocusOnError="true" Text="The comment text is required." ToolTip="The comment text is required."
                                    Display="Dynamic"></asp:RequiredFieldValidator>
                            </EditItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <EditItemTemplate>
                                <asp:Panel runat="server" ID="panAdmin" Visible='<%# !UserCanEdit %>'>
                                    <table cellspacing="0" cellpadding="0">
                                        <tr>
                                            <td valign="middle">
                                                Anti Bot Image:
                                            </td>
                                            <td>
                                                <asp:Image ID="imgAntiBotImage" runat="server" ImageUrl="~/antibotimage.ashx" BorderStyle="Solid"
                                                    BorderWidth="1" BorderColor="DarkGray" GenerateEmptyAlternateText="true" /><br />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                            </td>
                                            <td>
                                                <asp:TextBox runat="server" ID="txtAntiBotImage" MaxLength="4" Width="75px"></asp:TextBox>
                                                <asp:RequiredFieldValidator runat="server" ID="valAntiBotImageRequired" ControlToValidate="txtAntiBotImage"
                                                    Display="dynamic" ErrorMessage="Please enter the characters displayed" SetFocusOnError="true"></asp:RequiredFieldValidator><br />
                                                <asp:CustomValidator runat="server" ID="valAntiBotImage" OnServerValidate="valAntiBotImage_ServerValidate"
                                                    Text="Invalid Code" Display="dynamic"></asp:CustomValidator>
                                            </td>
                                        </tr>
                                    </table>
                                </asp:Panel>
                            </EditItemTemplate>
                        </asp:TemplateField>
                    </Fields>
                </asp:DetailsView>
            </div>
            <asp:ObjectDataSource ID="objCurrComment" runat="server" InsertMethod="InsertComment"
                SelectMethod="GetCommentByID" TypeName="MPS.BLL.Blogs.Comment" UpdateMethod="UpdateComment">
                <UpdateParameters>
                    <asp:Parameter Name="id" Type="Int32" />
                    <asp:Parameter Name="commentText" Type="String" />
                </UpdateParameters>
                <SelectParameters>
                    <asp:ControlParameter ControlID="dlstComments" Name="commentID" PropertyName="SelectedValue"
                        Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>
        </asp:Panel>
    </div>
</asp:Content>
